<template>
  <div class="data-table-container">

    <el-card class="data-card" :body-style="{ height: '100%' }">
      <div class="card-content">
        <div class="title-container">
          <h1>考核报表</h1>
          <el-select v-model="category" placeholder="请选择" @change="calculate(category)" style="width: 150px;">
            <el-option label="视频" value="1" />
            <el-option label="车辆" value="2" />
            <el-option label="人脸" value="3" />
          </el-select>
          <div class="more-button" @click="$router.push({ path: '/check/result' })">
            <span>更多</span>
            <i class="el-icon-arrow-right"></i>
          </div>
        </div>
        <el-table :data="tableData" style="width: 100%" height="350">
          <el-table-column type="index" label="排名" align="center" />
          <el-table-column prop="deptName" label="区域" align="center" show-overflow-tooltip />
          <el-table-column prop="score" label="分数" align="center" />
        </el-table>
      </div>
    </el-card>
  </div>
</template>

<script>
import { calculate } from "@/api/platform/home";
export default {
  name: 'DataRank',

  data() {
    return {
      category: "1",
      tableData: []
    }
  },
  mounted() {
    this.calculate(this.category);
  },
  methods: {
    calculate(category) {
      calculate(category).then(res => {
        this.tableData = res.data;
      })
    }
  }
}
</script>

<style lang="scss" scoped>
.data-table-container {
  height: 450px;
  margin-bottom: 20px;

  .data-card {
    height: 100%;

    .card-content {
      width: 100%;
      height: 100%;
      display: flex;
      flex-direction: column;
    }
  }
}

.title-container {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;

  .more-button {
    cursor: pointer;
    font-size: 16px;
    padding: 0 10px;
  }
}

.table-container {
  position: relative;
  flex: 1;

  .table-content {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    overflow-y: scroll;
  }
}

.data-table {
  width: 100%;
}
</style>
